Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020421
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2012-05-04 14:472013-08-26 11:52
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revision1cb4b186b7c6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020421: Review needed indexes

DescriptionIn some cases there are indexes that should be included but are not present in OB, this affects performance negatively.
Steps To Reproduce-
Proposed SolutionReview all candidates and decide case by case whether they should be added.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00204193.0MP12 closedalostale Missing indexes 
related to design defect 0020422 closedAugustoMauch Slow audit 
related to defect 0024447 closedAugustoMauch Add a index on the m_transaction table 

-  Notes
(0052364)
AugustoMauch (developer)
2012-09-24 17:44

Effort: 3
Impact: high
Plan: short
(0060561)
hgbot (developer)
2013-08-12 09:43

Repository: erp/devel/pi
Changeset: d4d102140b5c2b16b3f1b4e8945587855ff7e769
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 08:41:47 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d4d102140b5c2b16b3f1b4e8945587855ff7e769 [^]

related to issue 20421: Review needed indexes

  Changed position of some unique indexes/constrains in order to make first column
  in the index usable for parent-child tab relationships

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_MENU_PARAMETERS.xml
M modules/org.openbravo.userinterface.selector/src-db/database/model/tables/OBUISEL_SELECTOR.xml
M src-db/database/model/tables/AD_TEXTINTERFACES_TRL.xml
---
(0060562)
hgbot (developer)
2013-08-12 09:43

Repository: erp/devel/pi
Changeset: 3993ddeadfe3f5b84dde903056b553733d9e8f4d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 09:31:25 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3993ddeadfe3f5b84dde903056b553733d9e8f4d [^]

related to issue 20421: Review needed indexes

  Added indexes for parent-child tab relationships for all columns that don't
  participate in any other index/unique constraint

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_NAVBAR_ROLE_ACCESS.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_PROCESS_ACCESS.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_REF_WINDOW.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_VIEW_ROLE_ACCESS.xml
M modules/org.openbravo.client.kernel/src-db/database/model/tables/OBCLKER_REF_MASK.xml
M modules/org.openbravo.client.kernel/src-db/database/model/tables/OBCLKER_TEMPLATE_DEPENDENCY.xml
M modules/org.openbravo.client.kernel/src-db/database/model/tables/OBCLKER_UIDEFINITION.xml
M modules/org.openbravo.client.myob/src-db/database/model/tables/OBKMO_WIDGET_CLASS_ACCESS.xml
M modules/org.openbravo.client.myob/src-db/database/model/tables/OBKMO_WIDGET_CLASS_MENU.xml
M modules/org.openbravo.client.myob/src-db/database/model/tables/OBKMO_WIDGET_CLASS_MENU_TRL.xml
M modules/org.openbravo.client.myob/src-db/database/model/tables/OBKMO_WIDGET_LIST.xml
M modules/org.openbravo.client.myob/src-db/database/model/tables/OBKMO_WIDGET_URL.xml
M modules/org.openbravo.client.querylist/src-db/database/model/tables/OBCQL_QUERY_COLUMN.xml
M modules/org.openbravo.client.querylist/src-db/database/model/tables/OBCQL_WIDGET_QUERY.xml
M modules/org.openbravo.service.integration.openid/src-db/database/model/tables/OBSOID_USER_IDENTIFIER.xml
M modules/org.openbravo.userinterface.selector/src-db/database/model/tables/OBUISEL_SELECTOR_FIELD.xml
M src-db/database/model/tables/AD_ALERTRECIPIENT.xml
M src-db/database/model/tables/AD_COLUMN.xml
M src-db/database/model/tables/AD_DATASET_COLUMN.xml
M src-db/database/model/tables/AD_DATASET_TABLE.xml
M src-db/database/model/tables/AD_EP_PROCEDURES.xml
M src-db/database/model/tables/AD_EXCEPTIONS.xml
M src-db/database/model/tables/AD_MODEL_OBJECT.xml
M src-db/database/model/tables/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/model/tables/AD_MODEL_OBJECT_PARA.xml
M src-db/database/model/tables/AD_MODULE_DBPREFIX.xml
M src-db/database/model/tables/AD_MODULE_DEPENDENCY.xml
M src-db/database/model/tables/AD_ORG_ACCTSCHEMA.xml
M src-db/database/model/tables/AD_ORG_WAREHOUSE.xml
M src-db/database/model/tables/AD_PACKAGE.xml
M src-db/database/model/tables/AD_REF_SEARCH.xml
M src-db/database/model/tables/AD_REF_SEARCH_COLUMN.xml
M src-db/database/model/tables/A_AMORTIZATIONLINE.xml
M src-db/database/model/tables/A_ASSET.xml
M src-db/database/model/tables/C_ACCTSCHEMA_GL.xml
M src-db/database/model/tables/C_ACCTSCHEMA_PROCESS.xml
M src-db/database/model/tables/C_ACCTSCHEMA_TABLE_DOCTYPE.xml
M src-db/database/model/tables/C_ACCT_RPT_GROUP.xml
M src-db/database/model/tables/C_ACCT_RPT_NODE.xml
M src-db/database/model/tables/C_BPARTNER_DISCOUNT.xml
M src-db/database/model/tables/C_BUDGETLINE.xml
M src-db/database/model/tables/C_CITY.xml
M src-db/database/model/tables/C_COMMISSIONDETAIL.xml
M src-db/database/model/tables/C_CONVERSION_RATE_DOCUMENT.xml
M src-db/database/model/tables/C_DEBT_PAYMENT.xml
M src-db/database/model/tables/C_DP_MANAGEMENTLINE.xml
M src-db/database/model/tables/C_ELEMENTVALUE_OPERAND.xml
M src-db/database/model/tables/C_INVOICE_DISCOUNT.xml
M src-db/database/model/tables/C_INVOICE_REVERSE.xml
M src-db/database/model/tables/C_NONBUSINESSDAY.xml
M src-db/database/model/tables/C_ORDER_DISCOUNT.xml
M src-db/database/model/tables/C_PAYMENTTERMLINE.xml
M src-db/database/model/tables/C_PHASE.xml
M src-db/database/model/tables/C_POC_EMAILDEFINITION.xml
M src-db/database/model/tables/C_PROJECTLINE.xml
M src-db/database/model/tables/C_PROJECTPHASE.xml
M src-db/database/model/tables/C_PROJECTPROPOSAL.xml
M src-db/database/model/tables/C_PROJECTPROPOSALLINE.xml
M src-db/database/model/tables/C_PROJECTPROPOSALTASK.xml
M src-db/database/model/tables/C_PROJECTTASK.xml
M src-db/database/model/tables/C_PROJECT_VENDOR.xml
M src-db/database/model/tables/C_REMITTANCELINE.xml
M src-db/database/model/tables/C_REMITTANCE_PARAMETER.xml
M src-db/database/model/tables/C_SALARY_CATEGORY_COST.xml
M src-db/database/model/tables/C_TASK.xml
M src-db/database/model/tables/C_TAXREGISTER.xml
M src-db/database/model/tables/C_TAXREGISTERLINE.xml
M src-db/database/model/tables/C_TAXREGISTER_TYPE_LINES.xml
M src-db/database/model/tables/C_TAX_ZONE.xml
M src-db/database/model/tables/C_UOM_CONVERSION.xml
M src-db/database/model/tables/FIN_BANKFILE_EXCEPTION.xml
M src-db/database/model/tables/FIN_BANKSTATEMENT.xml
M src-db/database/model/tables/FIN_BANKSTATEMENTLINE.xml
M src-db/database/model/tables/FIN_DOUBTFUL_DEBT.xml
M src-db/database/model/tables/FIN_PAYMENT_CREDIT.xml
M src-db/database/model/tables/FIN_PAYMENT_RUN_PARA.xml
M src-db/database/model/tables/FIN_PAYMENT_RUN_PAYMENT.xml
M src-db/database/model/tables/FIN_PAY_EXEC_PROCESS_PARA.xml
M src-db/database/model/tables/GL_JOURNAL.xml
M src-db/database/model/tables/GL_JOURNALLINE.xml
M src-db/database/model/tables/MA_CCP.xml
M src-db/database/model/tables/MA_CCP_SHIFT.xml
M src-db/database/model/tables/MA_COSTCENTER_EMPLOYEE.xml
M src-db/database/model/tables/MA_COSTCENTER_IC.xml
M src-db/database/model/tables/MA_COSTCENTER_MACHINE.xml
M src-db/database/model/tables/MA_COSTCENTER_VERSION.xml
M src-db/database/model/tables/MA_GLOBALUSE.xml
M src-db/database/model/tables/MA_INDIRECT_COST_VALUE.xml
M src-db/database/model/tables/MA_MACHINESTATION.xml
M src-db/database/model/tables/MA_MACHINE_COST.xml
M src-db/database/model/tables/MA_MAINTENANCE.xml
M src-db/database/model/tables/MA_MAINT_PERIODICITY.xml
M src-db/database/model/tables/MA_MAINT_SCHEDULED.xml
M src-db/database/model/tables/MA_MAINT_WORKER.xml
M src-db/database/model/tables/MA_MEASURE_GROUP.xml
M src-db/database/model/tables/MA_MEASURE_TIME.xml
M src-db/database/model/tables/MA_MEASURE_VALUES.xml
M src-db/database/model/tables/MA_PC_TEST.xml
M src-db/database/model/tables/MA_PC_VALUE.xml
M src-db/database/model/tables/MA_PL_EMPLOYEE.xml
M src-db/database/model/tables/MA_PL_IC.xml
M src-db/database/model/tables/MA_PL_INVOICELINE.xml
M src-db/database/model/tables/MA_PL_MACHINE.xml
M src-db/database/model/tables/MA_PROCESS.xml
M src-db/database/model/tables/MA_SEQUENCE_EMPLOYEE.xml
M src-db/database/model/tables/MA_SEQUENCE_IC.xml
M src-db/database/model/tables/MA_SEQUENCE_MACHINE.xml
M src-db/database/model/tables/MA_TOOLSET.xml
M src-db/database/model/tables/MA_TOOLSETPROCESS.xml
M src-db/database/model/tables/MA_TOOLSETUSED.xml
M src-db/database/model/tables/MA_WEEMPLOYEE.xml
M src-db/database/model/tables/MA_WEINCIDENCE.xml
M src-db/database/model/tables/MRP_PLANNINGMETHODLINE.xml
M src-db/database/model/tables/MRP_SALESFORECASTLINE.xml
M src-db/database/model/tables/M_ATTRIBUTEVALUE.xml
M src-db/database/model/tables/M_DISCOUNTSCHEMALINE.xml
M src-db/database/model/tables/M_FREIGHT.xml
M src-db/database/model/tables/M_RAPPEL_BPARTNER.xml
M src-db/database/model/tables/M_RAPPEL_INVOICE.xml
M src-db/database/model/tables/M_RAPPEL_PRODUCT.xml
M src-db/database/model/tables/M_RAPPEL_PRODUCTCATEGORY.xml
M src-db/database/model/tables/M_RAPPEL_SCALE.xml
M src-db/database/model/tables/M_REQUISITIONLINE.xml
M src-db/database/model/tables/M_REQUISITIONORDER.xml
M src-db/database/model/tables/M_RESERVATION_STOCK.xml
M src-db/database/model/tables/M_TRANSACTION.xml
M src-db/database/model/tables/M_WAREHOUSE_SHIPPER.xml
M src-db/database/model/tables/S_RESOURCEASSIGNMENT.xml
M src-db/database/model/tables/S_RESOURCEUNAVAILABLE.xml
M src-db/database/model/tables/S_TIMEEXPENSELINE.xml
---
(0060563)
hgbot (developer)
2013-08-12 09:44

Repository: erp/devel/pi
Changeset: a7c526a32254e7c870cc0beb78df547c34e45632
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 09:43:24 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a7c526a32254e7c870cc0beb78df547c34e45632 [^]

related to issue 20421: Review needed indexes

  Added indexes for parent-child tab relationships for tables with other index
  or unique including relationship not in first place of the index. Adding new
  indexes for these cases.

---
M src-db/database/model/tables/AD_FORM_ACCESS.xml
M src-db/database/model/tables/AD_PROCESS_ACCESS.xml
M src-db/database/model/tables/AD_TABLE_ACCESS.xml
M src-db/database/model/tables/AD_USER_ROLES.xml
M src-db/database/model/tables/AD_WINDOW_ACCESS.xml
---
(0060564)
hgbot (developer)
2013-08-12 10:36

Repository: erp/devel/pi
Changeset: 385a318c6d304bc09c7e9b235cfa8e6fbf3d4ced
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 10:18:42 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/385a318c6d304bc09c7e9b235cfa8e6fbf3d4ced [^]

related to issue 20421: Review needed indexes

  Changed position of some unique indexes/constrains in order to make first column
  in the index usable for parent-child tab relationships

---
M src-db/database/model/tables/C_BP_GROUP_ACCT.xml
M src-db/database/model/tables/C_CONVERSION_RATE.xml
M src-db/database/model/tables/C_CONVERSION_RATE_DOCUMENT.xml
M src-db/database/model/tables/C_EXTERNALPOS_CATEGORY.xml
M src-db/database/model/tables/C_EXTERNALPOS_PRODUCT.xml
M src-db/database/model/tables/M_PRICELIST_VERSION.xml
M src-db/database/model/tables/M_PRODUCT_ORG.xml
---
(0060565)
hgbot (developer)
2013-08-12 10:37

Repository: erp/devel/pi
Changeset: 6292177761c1ce223f6ffa80d7b9d81dff9b33e0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 10:24:43 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6292177761c1ce223f6ffa80d7b9d81dff9b33e0 [^]

related to issue 20421: Review needed indexes

  Added missing indexes

---
M src-db/database/model/tables/MA_WRPHASEPRODUCT.xml
M src-db/database/model/tables/M_ATTRIBUTEUSE.xml
---
(0060566)
hgbot (developer)
2013-08-12 10:37

Repository: erp/devel/pi
Changeset: 829a6eeb2e3fa9ddf422d1e67371f0bcaff11500
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 10:36:36 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/829a6eeb2e3fa9ddf422d1e67371f0bcaff11500 [^]

related to issue 20421: Review needed indexes

  Added missing indexes

---
M src-db/database/model/tables/C_CONVERSION_RATE_DOCUMENT.xml
M src-db/database/model/tables/FIN_FINACC_PAYMENTMETHOD.xml
M src-db/database/model/tables/FIN_FINANCIAL_ACCOUNT_ACCT.xml
---
(0060572)
hgbot (developer)
2013-08-12 13:21

Repository: erp/devel/pi
Changeset: 1cb4b186b7c62b9aea305a6097191ab92ed6e490
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Aug 12 13:20:58 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1cb4b186b7c62b9aea305a6097191ab92ed6e490 [^]

fixed issue 20421: Review needed indexes

  Added jUnit test to warranty no missing indexes for tab parent-child
  relationships

---
M src-test/org/openbravo/test/AllAntTaskTests.java
M src-test/org/openbravo/test/AllTests.java
A src-test/org/openbravo/test/model/IndexesTest.java
---
(0060573)
alostale (developer)
2013-08-12 13:23

Added all missing indexes for tab parent-child relationships.

Included also jUnit test to warranty no missing indexes of this type in future.
(0060642)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060643)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060644)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060645)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060646)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060647)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060649)
hudsonbot (developer)
2013-08-16 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test
(0060768)
AugustoMauch (developer)
2013-08-26 11:52

Code reviewed and verified in pi@5adbb7012852

- Issue History
Date Modified Username Field Change
2012-05-04 14:47 alostale New Issue
2012-05-04 14:47 alostale Assigned To => alostale
2012-05-04 14:47 alostale Modules => Core
2012-05-04 14:47 alostale Relationship added related to 0020419
2012-05-04 14:47 alostale Tag Attached: Performance
2012-05-04 14:53 alostale Relationship added related to 0020422
2012-09-24 17:44 AugustoMauch Note Added: 0052364
2012-09-24 17:44 AugustoMauch Priority normal => high
2012-09-24 17:44 AugustoMauch Status new => scheduled
2013-07-31 10:09 AugustoMauch Relationship added related to 0024447
2013-08-12 09:43 hgbot Checkin
2013-08-12 09:43 hgbot Note Added: 0060561
2013-08-12 09:43 hgbot Checkin
2013-08-12 09:43 hgbot Note Added: 0060562
2013-08-12 09:44 hgbot Checkin
2013-08-12 09:44 hgbot Note Added: 0060563
2013-08-12 10:36 hgbot Checkin
2013-08-12 10:36 hgbot Note Added: 0060564
2013-08-12 10:37 hgbot Checkin
2013-08-12 10:37 hgbot Note Added: 0060565
2013-08-12 10:37 hgbot Checkin
2013-08-12 10:37 hgbot Note Added: 0060566
2013-08-12 13:21 hgbot Checkin
2013-08-12 13:21 hgbot Note Added: 0060572
2013-08-12 13:21 hgbot Status scheduled => resolved
2013-08-12 13:21 hgbot Resolution open => fixed
2013-08-12 13:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1cb4b186b7c62b9aea305a6097191ab92ed6e490 [^]
2013-08-12 13:23 alostale Note Added: 0060573
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060642
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060643
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060644
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060645
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060646
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060647
2013-08-16 20:33 hudsonbot Checkin
2013-08-16 20:33 hudsonbot Note Added: 0060649
2013-08-26 11:52 AugustoMauch Review Assigned To => AugustoMauch
2013-08-26 11:52 AugustoMauch Note Added: 0060768
2013-08-26 11:52 AugustoMauch Status resolved => closed
2013-08-26 11:52 AugustoMauch Fixed in Version => 3.0MP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker